## Cancel order by user

### cURL

```
curl --request POST \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-order/orders/user/cancel \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "cancellationCode": "2001",
  "cancellationMessage": "Customer not interested"
}
'
```

### Example Code in Various Languages

#### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-order/orders/user/cancel"

payload = {
    "cancellationCode": "2001",
    "cancellationMessage": "Customer not interested"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript

```
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: '<authorization>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({cancellationCode: '2001', cancellationMessage: 'Customer not interested'})
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-order/orders/user/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```


```

### Response

#### 200

**Response Example**

```
{
  "orderId": "8568-9704-74294",
  "status": "Successfully cancelled order"
}
```

### Headers

- **x-site-context**: string, required, includes metadata for contextual purposes.

### Body

- **cancellationCode**: string, required.
- **cancellationMessage**: string.
